#!/bin/sh
echo Booting from FFS

echo Loading Audio Driver
insmod /lib/audio_pxa.ko

echo Loading GPIO Driver
insmod /lib/gpio_driver.ko

if test -f /mnt/sd0/z2script.sh
then
echo Running SD0 Script
/mnt/sd0/z2script.sh
else
echo Loading Wireless Driver
insmod /lib/gspi.ko
insmod /lib/gspi8686.ko helper_name=/lib/firmware/helper_gspi.bin fw_name=/lib/firmware/gspi8686.bin

echo Start WPA Supplicant
/mnt/ffs/wpa_supplicant/wpa_supplicant -B -ieth0 -C /tmp/wpa

echo Starting App
chmod +x Zipit2
./Zipit2
fi
